Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{oid}
/
payout-destinations
/
{payout_destination_id}
aid_mgmnt_payout_destinations_get_by_id
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{oid}/payout-destinations/{payout_destination_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "<string>",
  "account_id": "<string>",
  "case_status": "ACTIVE",
  "type": "company",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "payout_destination_id": "PD032",
  "merchant_category_code": "2741",
  "organization": {
    "organization_number": "<string>",
    "name": "<string>",
    "trade_name": "<string>"
  },
  "individual": {
    "name": "<string>",
    "birth_date": "2023-12-25",
    "phone_number": "<string>",
    "email": "jsmith@example.com",
    "address_line": "Sommerkroveien 34",
    "address_line_2": "PB 123",
    "address_postal_code": "0349",
    "address_city": "Oslo",
    "address_country": "NO"
  },
  "address": {
    "address_line": "Sommerkroveien 34",
    "postal_place": "Oslo",
    "country": "NO",
    "address_line_2": "PB 123",
    "postal_code": "0349"
  },
  "bank_accounts": [
    {
      "bank_account_currency": "NOK",
      "bank_name": "<string>",
      "bank_account_number": "<string>",
      "bank_account_number_type": "IBAN",
      "bank_account_country_code": "<string>",
      "bank_identification_code": "DNBANOKKXXX"
    }
  ],
  "payout_interval_type": "day",
  "number_of_stores": 123,
  "payout_reference": "<string>",
  "email": "jsmith@example.com",
  "website": "<string>",
  "phone_number": "<string>",
  "number_of_terminals": 123,
  "terminals": [
    {
      "terminal_id": "T312",
      "device_serial_number": "181f1a3e-b81b-4460-a01b-2a3be2a253a1",
      "status": "DELETED"
    }
  ],
  "stores": [
    {
      "store_id": "S1",
      "store_name": "Store 1",
      "address": "123 Main St",
      "number_of_terminals": 10
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

payout_destination_id
string
required

The payout destination identifier

Query Parameters

includes
enum<string>[]

Include related data. Use terminals to include terminal details associated with the payout destination. Use stores to include store details associated with the payout destination.

Maximum array length: 2
Available options:
terminals,
stores

Response

Payout destination

id
string<uuid>
required

An UUID that uniquely identifies the resource

created_at
string<date-time>
required

The date-time when the resource was created

created_by
string
required

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
required

The date-time when the resource was last updated

updated_by
string
required
account_id
string
required
Pattern: ^[PT]{1}\d{8}$
case_status
enum<string>
required
Available options:
ACTIVE,
DECLINED,
UNDER_MANUAL_REVIEW,
AUTOMATIC_REVIEW,
WAITING_FOR_SIGNATURE,
WAITING_FOR_DECLARATION,
ERROR,
ARCHIVED,
WAITING_FOR_DETAILS,
TERMINATED
type
enum<string>
required

Type of legal entity

Available options:
company,
individual
deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
payout_destination_id
string
Maximum string length: 40
Pattern: ^[A-Za-z0-9_-]+$
Example:

"PD032"

merchant_category_code
string<mcc>
Pattern: ^\d{1,4}
Example:

"2741"

organization
object

Organization data for company type of payout destination

individual
object

Used only if type is individual.

address
object
bank_accounts
object[]

Bank accounts associated with the payout destination.

Required array length: 1 - 2 elements
payout_interval_type
enum<string>
Available options:
day,
week,
month,
manual
number_of_stores
integer

Number of stores associated with the payout destination

payout_reference
string

Reference on transfers in bank statements

email
string<email>
website
string<uri>
phone_number
string

ITU/E.123 format with international prefix (+PPNNNNNNNNN...)

Pattern: ^\+?\d{5,15}$
number_of_terminals
integer

Number of terminals associated with the payout destination

terminals
object[]

Terminals associated with the payout destination

stores
object[]

Stores associated with the payout destination

Last modified on May 12, 2026